<?php
include_once('./_common.php');
include_once(AMINA_PATH.'/lib/register.lib.php');

if(!AMINA) include_once(AMINA_PATH.'/lib/head.lib.php');

$opt = amina_trim($_POST['opt']);

if($opt == 'email') {

	$mb_email = amina_trim($_POST['reg_mb_email']);
	$mb_id    = amina_trim($_POST['reg_mb_id']);

	if ($msg = empty_mb_email($mb_email)) die($msg);
	if ($msg = valid_mb_email($mb_email)) die($msg);
	if ($msg = prohibit_mb_email($mb_email)) die($msg);
	if ($msg = exist_mb_email($mb_email, $mb_id)) die($msg);

} else if($opt == 'id') {

	$mb_id = amina_trim($_POST['reg_mb_id']);

	if ($msg = empty_mb_id($mb_id))     die($msg);
	if ($msg = valid_mb_id($mb_id))     die($msg);
	if ($msg = count_mb_id($mb_id))     die($msg);
	if ($msg = exist_mb_id($mb_id))     die($msg);
	if ($msg = reserve_mb_id($mb_id))   die($msg);

} else if($opt == 'nick') {

	$mb_nick = amina_trim($_POST['reg_mb_nick']);
	$mb_id   = amina_trim($_POST['reg_mb_id']);

	if ($msg = empty_mb_nick($mb_nick)) die($msg);
	if ($msg = valid_mb_nick($mb_nick)) die($msg);
	if ($msg = count_mb_nick($mb_nick)) die($msg);
	if ($msg = exist_mb_nick($mb_nick, $mb_id)) die($msg);

} else if($opt == 'recommend') {

	$mb_recommend = amina_trim($_POST["reg_mb_recommend"]);

	if ($msg = valid_mb_id($mb_recommend)) {
	    die("추천인의 아이디는 영문자, 숫자, _ 만 입력하세요.");
	}
	if (!($msg = exist_mb_id($mb_recommend))) {
	    die("입력하신 추천인은 존재하지 않는 아이디 입니다.");
	}

} else if($opt == 'hp') {

	$mb_hp   = amina_trim($_POST['reg_mb_hp']);
	$mb_id   = amina_trim($_POST['reg_mb_id']);

	if ($msg = valid_mb_hp($mb_hp)) die($msg);
	if ($msg = exist_mb_hp($mb_hp, $mb_id)) die($msg);

} else {

	die('잘못된 접근입니다.');

}
?>